Skip to main content
GET
List PipelineRuns

Query Parameters

pipelineId
string[] | null
Maximum array length: 200
limitPerPipeline
integer<int32> | null

When set together with pipelineId, return only the newest N runs per pipeline.

Required range: 1 <= x <= 50
pipelineVersionId
string | null
status
string[] | null

Filter to runs in any of these statuses.

Maximum array length: 20
attachedEntityId
string | null
attachedEntityIds
string[] | null

Return runs whose attached entity is any of these ids, newest first, bounded by limit.

Maximum array length: 200
limitPerAttachedEntity
integer<int32> | null

When set together with attachedEntityIds, return only the newest N runs per attached entity.

Required range: 1 <= x <= 50
ids
string[] | null

Return only the runs with these ids, newest first, bounded by limit. Ids that don't exist (or aren't accessible) are omitted rather than erroring.

Maximum array length: 200
cursor
string | null
limit
integer<int32> | null

Response

The request has succeeded.

data
object[]
required
meta
object
required